// wifi.c
//
// Per a generar un arxius wifilist.txt en GNU/Linux:
// root@debian8:/home/ecat/Documents/m3/uf3/20150527ex/sol# iwlist wlan0 scan > wifiList.txt
//
// En cas de no tenir instal·lat iwlist
// root@debian8:~# aptitude install wireless-tools
//
// 20150527 - www.binefa.cat/blog
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#define N 120

struct stWifi{
	int nCell;
	int nPower;
	char szESSID[N];
};

typedef struct stWifi senseFils;

int main()	{
    FILE *f;
    char szLinia[N],*p;
    senseFils sf;
   
    if(f = fopen("wifiList.txt","r")){
		while (fgets(szLinia,N,f) != NULL){
			//printf ("%s",szLinia);
			p = strstr(szLinia,"Cell");
			if(p){
				p[strstr(szLinia,"Address:")-p] = '\0';
				//printf ("%s",p);
				p = strstr(p," ") + 1;
				printf("#%d# ",atoi(p));
				//sf.nCell = atoi(p);
			}
			p = strstr(szLinia,"Signal level=");
			if(p){
				p[strstr(szLinia,"\n")-p] = '\0';
				//printf ("%s - ",p);
				p = strstr(p,"=") + 1;
				*(strstr(szLinia," dBm")) = '\0';
				printf("#%d# ",atoi(p));
				//sf.nPower = atoi(p);
			}
			p = strstr(szLinia,"ESSID:");
			if(p){
				p[strstr(szLinia,"\n")-p] = '\0';
				//printf ("%s",p);
				p = strstr(p,":\"") + 1;
				//*(strstr(p,"\"")) = '\0';
				p[strlen(p)-1] = '\0';
				printf("#%s# ",p);
				//strcpy(sf.szESSID,p);
				printf("\n");
			}
		}
		fclose(f);
	}else
		printf("Sembla que wifiList.txt no està a aquest directori.\n");
    
    return 0;
}
